> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paysway.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List recipients

> Retrieves a list of recipients for an organization end-user by their external user ID.




## OpenAPI

````yaml /api-reference/paysway-api.yaml get /beneficiaries/organizations/recipients
openapi: 3.1.0
info:
  title: PaySway API
  version: 1.2.0
servers:
  - url: https://api.paysway.dev
    description: Development environment
  - url: https://api.paysway.io
    description: Production environment
security: []
paths:
  /beneficiaries/organizations/recipients:
    get:
      tags:
        - Beneficiary Hub
      summary: List recipients
      description: >
        Retrieves a list of recipients for an organization end-user by their
        external user ID.
      parameters:
        - name: externalUserId
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Recipients list returned successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Recipient'
      security:
        - oauth2ClientCredentials: []
components:
  schemas:
    Recipient:
      type: object
      properties:
        id:
          type: string
          format: uuid
        country:
          $ref: '#/components/schemas/CountryCode'
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        method:
          $ref: '#/components/schemas/TransferMethod'
        isDefault:
          type: boolean
        creditor:
          $ref: '#/components/schemas/Party'
        creditorAccount:
          $ref: '#/components/schemas/Account'
        creditorAgent:
          $ref: '#/components/schemas/FinancialInstitution'
    CountryCode:
      description: ISO 3166-1 alpha-2 code
      type: string
      pattern: ^[A-Z]{2,2}$
    CurrencyCode:
      description: ISO 4217 alpha code
      type: string
      pattern: ^[A-Z]{3,3}$
    TransferMethod:
      type: string
      enum:
        - BANK_ACCOUNT
        - BPAY
        - INTERAC
        - ALIPAY
        - FPS_ID
        - MPESA
        - PAYGATE
        - DUITNOW
        - GOPAY
        - OVO
        - DANA
        - LINKAJA
        - SHOPEEPAY
        - PAYMAYA
        - GCASH
        - GRABPAY
        - STARPAY
        - BAYAD
        - TAYOCASH
        - JUANCASH
        - UNIONPAY_CARD
    Party:
      type: object
      properties:
        name:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        contactDetails:
          $ref: '#/components/schemas/ContactDetails'
        dateOfBirth:
          type: string
          format: date
        taxId:
          type: string
        documents:
          type: array
          items:
            $ref: '#/components/schemas/IdentificationDocument'
        type:
          $ref: '#/components/schemas/PartyType'
    Account:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountId'
        type:
          $ref: '#/components/schemas/AccountType'
      required:
        - id
    FinancialInstitution:
      type: object
      properties:
        bic:
          $ref: '#/components/schemas/BIC'
        clearingSystemMemberId:
          $ref: '#/components/schemas/ClearingSystemMemberId'
        branchId:
          type: string
    Address:
      type: object
      properties:
        addressLine1:
          type: string
        addressLine2:
          type: string
        addressLine3:
          type: string
        department:
          type: string
        streetName:
          type: string
        buildingNumber:
          type: string
        buildingName:
          type: string
        floor:
          type: string
        room:
          type: string
        townName:
          type: string
        townLocationName:
          type: string
        districtName:
          type: string
        postBox:
          type: string
        postCode:
          type: string
        countrySubdivision:
          type: string
        country:
          $ref: '#/components/schemas/CountryCode'
      required:
        - country
    ContactDetails:
      type: object
      properties:
        email:
          type: string
        phone:
          type: string
    IdentificationDocument:
      type: object
      properties:
        value:
          type: string
        type:
          $ref: '#/components/schemas/IdDocumentType'
      required:
        - type
        - value
    PartyType:
      type: string
      enum:
        - INDIVIDUAL
        - BUSINESS
    AccountId:
      type: object
      properties:
        value:
          type: string
        type:
          $ref: '#/components/schemas/AccountIdType'
      required:
        - value
        - type
    AccountType:
      type: string
    BIC:
      type: string
    ClearingSystemMemberId:
      type: object
      properties:
        memberId:
          type: string
    IdDocumentType:
      type: string
    AccountIdType:
      type: string
      enum:
        - IBAN
        - ACCOUNT_NUMBER
        - EMAIL
        - MSISDN
        - CARD_NUMBER
        - GENERIC
  securitySchemes:
    oauth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth2/token
          scopes: {}

````